FROM centos:8
MAINTAINER Donfig <choi.jh@idcjp.jp>

# My comment here
RUN echo '1. Base packages install'
RUN dnf install -y glibc-langpack-ko

RUN echo '2. Locale and Timezone environment'
ENV LANG ko_KR.utf8
RUN echo 'LANG="$LANG"' > /etc/locale.conf
RUN unlink /etc/localtime
RUN ln -s /usr/share/zoneinfo/Asia/Tokyo /etc/localtime
RUN echo 'set encoding=utf-8' >> /etc/vimrc
RUN echo 'set encoding=utf-8' >> /etc/virc
RUN echo 'set fileencodings=utf-8,cp949' >> /etc/vimrc
RUN echo 'set fileencodings=utf-8,cp949' >> /etc/virc
RUN echo 'set softtabstop=4' >> /etc/vimrc
RUN echo 'set softtabstop=4' >> /etc/virc
RUN echo 'set shiftwidth=4' >> /etc/vimrc
RUN echo 'set shiftwidth=4' >> /etc/virc
RUN echo 'set tabstop=4' >> /etc/vimrc
RUN echo 'set tabstop=4' >> /etc/virc
RUN echo 'set paste' >> /etc/vimrc
RUN echo 'set paste' >> /etc/virc
RUN echo 'export LANG="$LANG"' >> /etc/bashrc
RUN echo 'export LANGUAGE="$LANG"' >> /etc/bashrc
RUN source /etc/bashrc

RUN echo '2. Install need Package'
RUN dnf -y install java

RUN echo '3. Setting Supervisor for Web'
COPY  apache-tomcat-7.0.108 /usr/local/tomcat

EXPOSE 8080
CMD [ "/usr/local/tomcat/bin/catalina.sh","run"]
